# Class EveryTable

java.lang.Object
uk.ac.starlink.table.WrapperStarTable
uk.ac.starlink.ttools.filter.EveryTable

All Implemented Interfaces:
  `Closeable, AutoCloseable, uk.ac.starlink.table.StarTable`

public class EveryTable extends uk.ac.starlink.table.WrapperStarTable
Wrapper table which looks at only every n'th row.

Since:
  7 Mar 2005
Author:
  Mark Taylor (Starlink)

## Field Summary

### Fields inherited from class uk.ac.starlink.table.WrapperStarTable

`baseTable`

## Constructor Summary

Constructors
Constructor
Description
`EveryTable(uk.ac.starlink.table.StarTable base, long step, boolean isExact)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getCell(long irow, int icol)`
`Object[]`
`getRow(long irow)`
`uk.ac.starlink.table.RowAccess`
`getRowAccess()`
`long`
`getRowCount()`
`uk.ac.starlink.table.RowSequence`
`getRowSequence()`
`uk.ac.starlink.table.RowSplittable`
`getRowSplittable()`

### Methods inherited from class uk.ac.starlink.table.WrapperStarTable

`checkedLongToInt, close, getBaseTable, getColumnAuxDataInfos, getColumnCount, getColumnInfo, getName, getParameterByName, getParameters, getURL, isRandom, setName, setParameter, setURL, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EveryTable

public EveryTable(uk.ac.starlink.table.StarTable base, long step, boolean isExact)
Constructor.

Parameters:
  `base` - base table
  `step` - number of rows of base table per single row of this one
  `isExact` - if true, the stepping must be exact; if false, approximate stepping is OK

## Method Details

### getRowCount

public long getRowCount()

Specified by:
  `getRowCount` in interface `uk.ac.starlink.table.StarTable`
Overrides:
  `getRowCount` in class `uk.ac.starlink.table.WrapperStarTable`

### getCell

public Object getCell(long irow, int icol) throws IOException

Specified by:
  `getCell` in interface `uk.ac.starlink.table.StarTable`
Overrides:
  `getCell` in class `uk.ac.starlink.table.WrapperStarTable`
Throws:
  `IOException`

### getRow

public Object[] getRow(long irow) throws IOException

Specified by:
  `getRow` in interface `uk.ac.starlink.table.StarTable`
Overrides:
  `getRow` in class `uk.ac.starlink.table.WrapperStarTable`
Throws:
  `IOException`

### getRowSequence

public uk.ac.starlink.table.RowSequence getRowSequence() throws IOException

Specified by:
  `getRowSequence` in interface `uk.ac.starlink.table.StarTable`
Overrides:
  `getRowSequence` in class `uk.ac.starlink.table.WrapperStarTable`
Throws:
  `IOException`

### getRowAccess

public uk.ac.starlink.table.RowAccess getRowAccess() throws IOException

Specified by:
  `getRowAccess` in interface `uk.ac.starlink.table.StarTable`
Overrides:
  `getRowAccess` in class `uk.ac.starlink.table.WrapperStarTable`
Throws:
  `IOException`

### getRowSplittable

public uk.ac.starlink.table.RowSplittable getRowSplittable() throws IOException

Specified by:
  `getRowSplittable` in interface `uk.ac.starlink.table.StarTable`
Overrides:
  `getRowSplittable` in class `uk.ac.starlink.table.WrapperStarTable`
Throws:
  `IOException`